xds_b.pnr.soap = {}

local setInner = node.setInner

function xds_b.pnr.soap.new(I)
  local pnrDocumentSetSoapXML = [[   
   <soapenv:Envelope xmlns:soapenv='http://www.w3.org/2003/05/soap-envelope'
      xmlns:wsa='http://www.w3.org/2005/08/addressing'>
       <soapenv:Header>
           <wsa:To></wsa:To>
           <wsa:MessageID></wsa:MessageID>      
           <wsa:Action>urn:ihe:iti:2007:ProvideAndRegisterDocumentSet-b</wsa:Action>
       </soapenv:Header>
       <soapenv:Body>
       </soapenv:Body>
   </soapenv:Envelope>
   ]]
   
   local XML = xml.parse{data=pnrDocumentSetSoapXML}
   
   local Root = XML['soapenv:Envelope']
   local HeaderRoot = Root['soapenv:Header']
   
   setInner(HeaderRoot['wsa:To'], I.url)
   setInner(HeaderRoot['wsa:MessageID'], 'urn:uuid:'..ihe.getUUID())

   return XML
end

