-- The following code sets are based on values obtain from http://ihexds.nist.gov:12080/xdsref/codes/codes.xml

xds_b.codeset = {}

local ContentTypeCodes = {
   ['Communication']={Code='Communication', Display='Communication', Scheme='Connect-a-thon contentTypeCodes'},
   ['Evaluation and management']={Code='Evaluation and management', Display='Evaluation and management', Scheme='Connect-a-thon contentTypeCodes'},
   ['Conference']={Code='Conference', Display='Conference', Scheme='Connect-a-thon contentTypeCodes'},
   ['Case conference']={Code='Case conference', Display='Case conference', Scheme='Connect-a-thon contentTypeCodes'},
   ['Consult']={Code='Consult', Display='Consult', Scheme='Connect-a-thon contentTypeCodes'},
   ['Confirmatory consultation']={Code='Confirmatory consultation', Display='Confirmatory consultation', Scheme='Connect-a-thon contentTypeCodes'},
   ['Counseling']={Code='Counseling', Display='Counseling', Scheme='Connect-a-thon contentTypeCodes'},
   ['Group counseling']={Code='Group counseling', Display='Group counseling', Scheme='Connect-a-thon contentTypeCodes'},
   ['Education']={Code='Education', Display='Education', Scheme='Connect-a-thon contentTypeCodes'},
   ['History and Physical']={Code='History and Physical', Display='History and Physical', Scheme='Connect-a-thon contentTypeCodes'},
   ['Admission history and physical']={Code='Admission history and physical', Display='Admission history and physical', Scheme='Connect-a-thon contentTypeCodes'},
   ['Comprehensive history and physical']={Code='Comprehensive history and physical', Display='Comprehensive history and physical', Scheme='Connect-a-thon contentTypeCodes'},
   ['Targeted history and physical']={Code='Targeted history and physical', Display='Targeted history and physical', Scheme='Connect-a-thon contentTypeCodes'},
   ['Initial evaluation']={Code='Initial evaluation', Display='Initial evaluation', Scheme='Connect-a-thon contentTypeCodes'},
   ['Admission evaluation']={Code='Admission evaluation', Display='Admission evaluation', Scheme='Connect-a-thon contentTypeCodes'},
   ['Pre-operative evaluation and management']={Code='Pre-operative evaluation and management', Display='Pre-operative evaluation and management', Scheme='Connect-a-thon contentTypeCodes'},
   ['Subsequent evaluation']={Code='Subsequent evaluation', Display='Subsequent evaluation', Scheme='Connect-a-thon contentTypeCodes'},
   ['Summarization of episode']={Code='Summarization of episode', Display='Summarization of episode', Scheme='Connect-a-thon contentTypeCodes'},
   ['Transfer summarization']={Code='Transfer summarization', Display='Transfer summarization', Scheme='Connect-a-thon contentTypeCodes'},
   ['Discharge summarization']={Code='Discharge summarization', Display='Discharge summarization', Scheme='Connect-a-thon contentTypeCodes'},
   ['Summary of death']={Code='Summary of death', Display='Summary of death', Scheme='Connect-a-thon contentTypeCodes'},
   ['Transfer of care referral']={Code='Transfer of care referral', Display='Transfer of care referral', Scheme='Connect-a-thon contentTypeCodes'},
   ['Supervisory direction']={Code='Supervisory direction', Display='Supervisory direction', Scheme='Connect-a-thon contentTypeCodes'},
   ['Telephone encounter']={Code='Telephone encounter', Display='Telephone encounter', Scheme='Connect-a-thon contentTypeCodes'},
   ['Interventional Procedure']={Code='Interventional Procedure', Display='Interventional Procedure', Scheme='Connect-a-thon contentTypeCodes'},
   ['Operative']={Code='Operative', Display='Operative', Scheme='Connect-a-thon contentTypeCodes'},
   ['Pathology Procedure']={Code='Pathology Procedure', Display='Pathology Procedure', Scheme='Connect-a-thon contentTypeCodes'},
   ['Autopsy']={Code='Autopsy', Display='Autopsy', Scheme='Connect-a-thon contentTypeCodes'}
}

local ClassCodes = {
   ['unobtainable']={Code='unobtainable', Display='unobtainable', Scheme='Connect-a-thon classCodes'},
   ['Consent']={Code='Consent', Display='Consent', Scheme='Connect-a-thon classCodes'},
   ['Communication']={Code='Communication', Display='Communication', Scheme='Connect-a-thon classCodes'},
   ['Communication']={Code='Communication', Display='Communication', Scheme='Connect-a-thon classCodes 2'},
   ['Evaluation and management']={Code='Evaluation and management', Display='Evaluation and management', Scheme='Connect-a-thon classCodes'},
   ['Conference']={Code='Conference', Display='Conference', Scheme='Connect-a-thon classCodes'},
   ['Case conference']={Code='Case conference', Display='Case conference', Scheme='Connect-a-thon classCodes'},
   ['Consult']={Code='Consult', Display='Consult', Scheme='Connect-a-thon classCodes'},
   ['Confirmatory consultation']={Code='Confirmatory consultation', Display='Confirmatory consultation', Scheme='Connect-a-thon classCodes'},
   ['Counseling']={Code='Counseling', Display='Counseling', Scheme='Connect-a-thon classCodes'},
   ['Group counseling']={Code='Group counseling', Display='Group counseling', Scheme='Connect-a-thon classCodes'},
   ['Education']={Code='Education', Display='Education', Scheme='Connect-a-thon classCodes'},
   ['History and Physical']={Code='History and Physical', Display='History and Physical', Scheme='Connect-a-thon classCodes'},
   ['Admission history and physical']={Code='Admission history and physical', Display='Admission history and physical', Scheme='Connect-a-thon classCodes'},
   ['Comprehensive history and physical']={Code='Comprehensive history and physical', Display='Comprehensive history and physical', Scheme='Connect-a-thon classCodes'},
   ['Targeted history and physical']={Code='Targeted history and physical', Display='Targeted history and physical', Scheme='Connect-a-thon classCodes'},
   ['Initial evaluation']={Code='Initial evaluation', Display='Initial evaluation', Scheme='Connect-a-thon classCodes'},
   ['Admission evaluation']={Code='Admission evaluation', Display='Admission evaluation', Scheme='Connect-a-thon classCodes'},
   ['Pre-operative evaluation and management']={Code='Pre-operative evaluation and management', Display='Pre-operative evaluation and management', Scheme='Connect-a-thon classCodes'},
   ['Subsequent evaluation']={Code='Subsequent evaluation', Display='Subsequent evaluation', Scheme='Connect-a-thon classCodes'},
   ['Summarization of episode']={Code='Summarization of episode', Display='Summarization of episode', Scheme='Connect-a-thon classCodes'},
   ['Transfer summarization']={Code='Transfer summarization', Display='Transfer summarization', Scheme='Connect-a-thon classCodes'},
   ['Discharge summarization']={Code='Discharge summarization', Display='Discharge summarization', Scheme='Connect-a-thon classCodes'},
   ['Summary of death']={Code='Summary of death', Display='Summary of death', Scheme='Connect-a-thon classCodes'},
   ['Transfer of care referral']={Code='Transfer of care referral', Display='Transfer of care referral', Scheme='Connect-a-thon classCodes'},
   ['Supervisory direction']={Code='Supervisory direction', Display='Supervisory direction', Scheme='Connect-a-thon classCodes'},
   ['Telephone encounter']={Code='Telephone encounter', Display='Telephone encounter', Scheme='Connect-a-thon classCodes'},
   ['Interventional Procedure']={Code='Interventional Procedure', Display='Interventional Procedure', Scheme='Connect-a-thon classCodes'},
   ['Operative']={Code='Operative', Display='Operative', Scheme='Connect-a-thon classCodes'},
   ['Pathology Procedure']={Code='Pathology Procedure', Display='Pathology Procedure', Scheme='Connect-a-thon classCodes'},
   ['Autopsy']={Code='Autopsy', Display='Autopsy', Scheme='Connect-a-thon classCodes'},
   ['Nursing Note']={Code='Nursing Note', Display='Nursing Note', Scheme='Connect-a-thon classCodes'},
   ['Antepartum Summary']={Code='X-APS', Display='Antepartum Summary', Scheme='Loinc'},
   ['Nursing Note (X-NN)']={Code='X-NN', Display='Nursing Note', Scheme='Loinc'},
   ['Triage Note']={Code='X-TRIAGE', Display='Triage Note', Scheme='Loinc'}
}

local ConfidentialityCodes = {
   ['Celebrity']={Code='C', Display='Celebrity', Scheme='Connect-a-thon confidentialityCodes'},
   ['Clinician']={Code='D', Display='Clinician', Scheme='Connect-a-thon confidentialityCodes'},
   ['Individual']={Code='I', Display='Individual', Scheme='Connect-a-thon confidentialityCodes'},
   ['Normal']={Code='N', Display='Normal', Scheme='Connect-a-thon confidentialityCodes'},
   ['Restricted']={Code='R', Display='Restricted', Scheme='Connect-a-thon confidentialityCodes'},
   ['Sensitive']={Code='S', Display='Sensitive', Scheme='Connect-a-thon confidentialityCodes'},
   ['Taboo']={Code='T', Display='Taboo', Scheme='Connect-a-thon confidentialityCodes'},
   ['Clinical-Staff']={Code='1.3.6.1.4.1.21367.2006.7.101', Display='Clinical-Staff', Scheme='Connect-a-thon confidentialityCodes'},
   ['Clinical-Spouse']={Code='1.3.6.1.4.1.21367.2006.7.102', Display='Clinical-Spouse', Scheme='Connect-a-thon confidentialityCodes'},
   ['Clinical-Attorney']={Code='1.3.6.1.4.1.21367.2006.7.103', Display='Clinical-Attorney', Scheme='Connect-a-thon confidentialityCodes'},
   ['Solar Drug Trial']={Code='1.3.6.1.4.1.21367.2006.7.104', Display='Solar Drug Trial', Scheme='Connect-a-thon confidentialityCodes'},
   ['Sun Spot Drug Trial']={Code='1.3.6.1.4.1.21367.2006.7.105', Display='Sun Spot Drug Trial', Scheme='Connect-a-thon confidentialityCodes'},
   ['Restricted Sharing']={Code='1.3.6.1.4.1.21367.2006.7.109', Display='Restricted Sharing', Scheme='Connect-a-thon confidentialityCodes'},
   ['Emergency Responder Accessible']={Code='1.3.6.1.4.1.21367.2006.7.110', Display='Emergency Responder Accessible', Scheme='Connect-a-thon confidentialityCodes'},
   ['No Sharing']={Code='1.3.6.1.4.1.21367.2006.7.106', Display='No Sharing', Scheme='Connect-a-thon confidentialityCodes'},
   ['Normal Sharing']={Code='1.3.6.1.4.1.21367.2006.7.107', Display='Normal Sharing', Scheme='Connect-a-thon confidentialityCodes'},
   ['Normal Sharing Plus Research Use']={Code='1.3.6.1.4.1.21367.2006.7.108', Display='Normal Sharing Plus Research Use', Scheme='Connect-a-thon confidentialityCodes'},
   ['Restricted VIP Sharing']={Code='1.3.6.1.4.1.21367.2006.7.109', Display='Restricted VIP Sharing', Scheme='Connect-a-thon confidentialityCodes'}
}

local FormatCodes = {
   ['PDF embedded in CDA per XDS-SD profile']={Code='urn:ihe:pcc:apr:lab:2008', Display='PDF embedded in CDA per XDS-SD profile', Scheme='IHE-PCC'},
   ['Test embedded in CDA per XDS-SD profile']={Code='urn:ihe:pcc:apr:lab:2008', Display='Test embedded in CDA per XDS-SD profile', Scheme='IHE-PCC'},
   ['HL7 CCD Document']={Code='2.16.840.1.113883.10.20.1', Display='HL7 CCD Document', Scheme='HITSP'},
   ['IHE XD-Lab Document']={Code='1.3.6.1.4.1.19376.1.3.3', Display='IHE XD-Lab Document', Scheme='IHE-LAB'},
   ['ScanTEXT/IHE 1.x']={Code='ScanTEXT/IHE 1.x', Display='ScanTEXT/IHE 1.x', Scheme='Connect-a-thon formatCodes'},
   ['ScanPDF/IHE 1.x']={Code='ScanPDF/IHE 1.x', Display='ScanPDF/IHE 1.x', Scheme='Connect-a-thon formatCodes'},
   ['PDF/IHE 1.x']={Code='PDF/IHE 1.x', Display='PDF/IHE 1.x', Scheme='Connect-a-thon formatCodes'},
   ['Generic Image']={Code='Generic Image', Display='Generic Image', Scheme='Connect-a-thon formatCodes'},
   ['PDF']={Code='PDF', Display='PDF', Scheme='Connect-a-thon formatCodes'},
   ['TEXT']={Code='TEXT', Display='TEXT', Scheme='Connect-a-thon formatCodes'},
   ['CDA/IHE 1.0']={Code='CDA/IHE 1.0', Display='CDA/IHE 1.0', Scheme='Connect-a-thon formatCodes'},
   ['CDAR2/IHE 1.0']={Code='CDAR2/IHE 1.0', Display='CDAR2/IHE 1.0', Scheme='Connect-a-thon formatCodes'},
   ['CCR/IHE 0.9']={Code='CCR/IHE 0.9', Display='CCR/IHE 0.9', Scheme='Connect-a-thon formatCodes'},
   ['CCR V1.0']={Code='CCR V1.0', Display='CCR V1.0', Scheme='Connect-a-thon formatCodes'},
   ['HL7/Lab 2.5']={Code='HL7/Lab 2.5', Display='HL7/Lab 2.5', Scheme='Connect-a-thon formatCodes'},
   ['XDS-MS']={Code='1.3.6.1.4.1.19376.1.5.3.1.1.2', Display='XDS-MS', Scheme='Connect-a-thon formatCodes'},
   ['PPHP']={Code='1.3.6.1.4.1.19376.1.5.3.1.1.9', Display='PPHP', Scheme='Connect-a-thon formatCodes'},
   ['EDR']={Code='1.3.6.1.4.1.19376.1.5.3.1.1.10', Display='EDR', Scheme='Connect-a-thon formatCodes'},
   ['XPHR Extract']={Code='1.3.6.1.4.1.19376.1.5.3.1.1.5', Display='XPHR Extract', Scheme='Connect-a-thon formatCodes'},
   ['XPHR Update']={Code='1.3.6.1.4.1.19376.1.5.3.1.1.6', Display='XPHR Update', Scheme='Connect-a-thon formatCodes'},
   ['Privacy Consent Policy']={Code='1.3.6.1.4.1.19376.1.5.3.1.1.7', Display='Privacy Consent Policy', Scheme='IHE BPPC'},
   ['urn:ihe:pcc:xds-ms:2007']={Code='1.3.6.1.4.1.19376.1.5.3.1.1.3', Display='urn:ihe:pcc:xds-ms:2007', Scheme='IHE PCC'},
   ['urn:ihe:pcc:edr:2007']={Code='1.3.6.1.4.1.19376.1.5.3.1.1.10', Display='urn:ihe:pcc:edr:2007', Scheme='IHE PCC'},
   ['urn:ihe:pcc:xphr:2007']={Code='1.3.6.1.4.1.19376.1.5.3.1.1.5', Display='urn:ihe:pcc:xphr:2007', Scheme='IHE PCC'},
   ['urn:ihe:pcc:aps:2007']={Code='1.3.6.1.4.1.19376.1.5.3.1.1.11.2', Display='urn:ihe:pcc:aps:2007', Scheme='IHE PCC'},
   ['multipart']={Code='IHE/multipart', Display='multipart', Scheme='Connect-a-thon formatCodes'},
   ['urn:ihe:pcc:apr:handp:2008']={Code='1.3.6.1.4.1.19376.1.5.3.1.1.16.1.1', Display='urn:ihe:pcc:apr:handp:2008', Scheme='IHE PCC'},
   ['urn:ihe:pcc:apr:lab:2008']={Code='1.3.6.1.4.1.19376.1.5.3.1.1.16.1.2', Display='urn:ihe:pcc:apr:lab:2008', Scheme='IHE PCC'},
   ['urn:ihe:pcc:apr:edu:2008']={Code='1.3.6.1.4.1.19376.1.5.3.1.1.16.1.3', Display='urn:ihe:pcc:apr:edu:2008', Scheme='IHE PCC'},
   ['urn:ihe:pcc:irc:2008']={Code='1.3.6.1.4.1.19376.1.5.3.1.1.18.1.2', Display='urn:ihe:pcc:irc:2008', Scheme='IHE PCC'},
   ['Medical Summaries']={Code='urn:ihe:pcc:xds-ms:2007', Display='Medical Summaries', Scheme='IHE PCC'},
   ['Exchange of Personal Health Records']={Code='urn:ihe:pcc:xphr:2007', Display='Exchange of Personal Health Records', Scheme='IHE PCC'},
   ['Emergency Department Referral']={Code='urn:ihe:pcc:edr:2007', Display='Emergency Department Referral', Scheme='IHE PCC'},
   ['Antepartum Summary']={Code='urn:ihe:pcc:aps:2007', Display='Antepartum Summary', Scheme='IHE PCC'},
   ['Emergency Department Encounter Summary']={Code='urn:ihe:pcc:edes:2007', Display='Emergency Department Encounter Summary', Scheme='IHE PCC'},
   ['Antepartum Record History and Physical']={Code='urn:ihe:pcc:apr:handp:2008', Display='Antepartum Record History and Physical', Scheme='IHE PCC'},
   ['Antepartum Record Laboratory']={Code='urn:ihe:pcc:apr:lab:2008', Display='Antepartum Record Laboratory', Scheme='IHE PCC'},
   ['Antepartum Record Education']={Code='urn:ihe:pcc:apr:edu:2008', Display='Antepartum Record Education', Scheme='IHE PCC'},
   ['Immunization Registry Content']={Code='urn:ihe:pcc:irc:2008', Display='Immunization Registry Content', Scheme='IHE PCC'},
   ['Scanned Documents PDF']={Code='urn:ihe:iti:xds-sd:pdf:2008', Display='Scanned Documents PDF', Scheme='IHE PCC'},
   ['Scanned Documents Text']={Code='urn:ihe:iti:xds-sd:text:2008', Display='Scanned Documents Text', Scheme='IHE PCC'},
   ['Basic Patient Privacy Consents']={Code='urn:ihe:iti:bppc:2007', Display='Basic Patient Privacy Consents', Scheme='IHE PCC'},
   ['Basic Patient Privacy Consents with Scanned Document']={Code='urn:ihe:iti:bppc-sd:2007', Display='Basic Patient Privacy Consents with Scanned Document', Scheme='IHE PCC'},
   ['CDA Laboratory Report']={Code='urn:ihe:lab:xd-lab:2008', Display='CDA Laboratory Report', Scheme='IHE PCC'},
   ['Immunization Content']={Code='urn:ihe:pcc:ic:2009', Display='Immunization Content', Scheme='IHE-PCC'}
}

local HealthcareFacilityTypeCodes = {
   ['Home']={Code='Home', Display='Home', Scheme='Connect-a-thon healthcareFacilityTypeCodes'},
   ['Assisted Living']={Code='Assisted Living', Display='Assisted Living', Scheme='Connect-a-thon healthcareFacilityTypeCodes'},
   ['Home Health Care']={Code='Home Health Care', Display='Home Health Care', Scheme='Connect-a-thon healthcareFacilityTypeCodes'},
   ['Hospital Setting']={Code='Hospital Setting', Display='Hospital Setting', Scheme='Connect-a-thon healthcareFacilityTypeCodes'},
   ['Acute care hospital']={Code='Acute care hospital', Display='Acute care hospital', Scheme='Connect-a-thon healthcareFacilityTypeCodes'},
   ['Hospital Unit']={Code='Hospital Unit', Display='Hospital Unit', Scheme='Connect-a-thon healthcareFacilityTypeCodes'},
   ['Critical Care Unit']={Code='Critical Care Unit', Display='Critical Care Unit', Scheme='Connect-a-thon healthcareFacilityTypeCodes'},
   ['Emergency Department']={Code='Emergency Department', Display='Emergency Department', Scheme='Connect-a-thon healthcareFacilityTypeCodes'},
   ['Observation Ward']={Code='Observation Ward', Display='Observation Ward', Scheme='Connect-a-thon healthcareFacilityTypeCodes'},
   ['Rehabilitation hospital']={Code='Rehabilitation hospital', Display='Rehabilitation hospital', Scheme='Connect-a-thon healthcareFacilityTypeCodes'},
   ['Nursing Home']={Code='Nursing Home', Display='Nursing Home', Scheme='Connect-a-thon healthcareFacilityTypeCodes'},
   ['Skilled Nursing Facility']={Code='Skilled Nursing Facility', Display='Skilled Nursing Facility', Scheme='Connect-a-thon healthcareFacilityTypeCodes'},
   ['Outpatient']={Code='Outpatient', Display='Outpatient', Scheme='Connect-a-thon healthcareFacilityTypeCodes'},
   ['Outpatient']={Code='Outpatient', Display='Outpatient', Scheme='Connect-a-thon healthcareFacilityTypeCodes 2'},
   ['MPQ-hcftcode-1']={Code='MPQ-hcftcode-1', Display='MPQ-hcftcode-1', Scheme='MPQ Testing'},
   ['MPQ-hcftcode-2']={Code='MPQ-hcftcode-2', Display='MPQ-hcftcode-2', Scheme='MPQ Testing'}
}

local PracticeSettingCodes = {
   ['Anesthesia']={Code='Anesthesia', Display='Anesthesia', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Cardiology']={Code='Cardiology', Display='Cardiology', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Case Manager']={Code='Case Manager', Display='Case Manager', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Chaplain']={Code='Chaplain', Display='Chaplain', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Chemotherapy']={Code='Chemotherapy', Display='Chemotherapy', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Chiropractic']={Code='Chiropractic', Display='Chiropractic', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Critical Care']={Code='Critical Care', Display='Critical Care', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Dentistry']={Code='Dentistry', Display='Dentistry', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Diabetology']={Code='Diabetology', Display='Diabetology', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Dialysis']={Code='Dialysis', Display='Dialysis', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Dialysis']={Code='Dialysis', Display='Dialysis', Scheme='Connect-a-thon practiceSettingCodes 2'},
   ['Emergency']={Code='Emergency', Display='Emergency', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Endocrinology']={Code='Endocrinology', Display='Endocrinology', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Gastroenterology']={Code='Gastroenterology', Display='Gastroenterology', Scheme='Connect-a-thon practiceSettingCodes'},
   ['General Medicine']={Code='General Medicine', Display='General Medicine', Scheme='Connect-a-thon practiceSettingCodes'},
   ['General Surgery']={Code='General Surgery', Display='General Surgery', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Gynecology']={Code='Gynecology', Display='Gynecology', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Labor and Delivery']={Code='Labor and Delivery', Display='Labor and Delivery', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Laboratory']={Code='Laboratory', Display='Laboratory', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Multidisciplinary']={Code='Multidisciplinary', Display='Multidisciplinary', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Neonatal Intensive Care']={Code='Neonatal Intensive Care', Display='Neonatal Intensive Care', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Neurosurgery']={Code='Neurosurgery', Display='Neurosurgery', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Nursery']={Code='Nursery', Display='Nursery', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Nursing']={Code='Nursing', Display='Nursing', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Obstetrics']={Code='Obstetrics', Display='Obstetrics', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Occupational Therapy']={Code='Occupational Therapy', Display='Occupational Therapy', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Ophthalmology']={Code='Ophthalmology', Display='Ophthalmology', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Optometry']={Code='Optometry', Display='Optometry', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Orthopedics']={Code='Orthopedics', Display='Orthopedics', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Otorhinolaryngology']={Code='Otorhinolaryngology', Display='Otorhinolaryngology', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Pathology']={Code='Pathology', Display='Pathology', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Perioperative']={Code='Perioperative', Display='Perioperative', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Pharmacacy']={Code='Pharmacacy', Display='Pharmacacy', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Physical Medicine']={Code='Physical Medicine', Display='Physical Medicine', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Plastic Surgery']={Code='Plastic Surgery', Display='Plastic Surgery', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Podiatry']={Code='Podiatry', Display='Podiatry', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Psychiatry']={Code='Psychiatry', Display='Psychiatry', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Pulmonary']={Code='Pulmonary', Display='Pulmonary', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Radiology']={Code='Radiology', Display='Radiology', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Social Services']={Code='Social Services', Display='Social Services', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Speech Therapy']={Code='Speech Therapy', Display='Speech Therapy', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Thyroidology']={Code='Thyroidology', Display='Thyroidology', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Tumor Board']={Code='Tumor Board', Display='Tumor Board', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Urology']={Code='Urology', Display='Urology', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Home']={Code='Home', Display='Home', Scheme='Connect-a-thon practiceSettingCodes'},
   ['Veterinary Medicine']={Code='Veterinary Medicine', Display='Veterinary Medicine', Scheme='Connect-a-thon practiceSettingCodes'}
}

local TypeCodes = {
   ['Nursing Home Comprehensive History and Physical Note']={Code='34096-8', Display='Nursing Home Comprehensive History and Physical Note', Scheme='LOINC'},
   ['Interventional Procedure Note']={Code='34121-4', Display='Interventional Procedure Note', Scheme='LOINC'},
   ['Autopsy Note']={Code='18743-5', Display='Autopsy Note', Scheme='LOINC'},
   ['Comprehensive History and Physical Note']={Code='34095-0', Display='Comprehensive History and Physical Note', Scheme='LOINC'},
   ['Conference Evaluation Note']={Code='34098-4', Display='Conference Evaluation Note', Scheme='LOINC'},
   ['Consultation Note']={Code='11488-4', Display='Consultation Note', Scheme='LOINC'},
   ['Discharge Note']={Code='28574-2', Display='Discharge Note', Scheme='LOINC'},
   ['Discharge Summarization Note']={Code='18842-5', Display='Discharge Summarization Note', Scheme='LOINC'},
   ['Evaluation And Management Note']={Code='34109-9', Display='Evaluation And Management Note', Scheme='LOINC'},
   ['History And Physical Note']={Code='34117-2', Display='History And Physical Note', Scheme='LOINC'},
   ['Initial Evaluation Note']={Code='28636-9', Display='Initial Evaluation Note', Scheme='LOINC'},
   ['Procedure Note']={Code='28570-0', Display='Procedure Note', Scheme='LOINC'},
   ['Subsequent Visit Evaluation Note']={Code='11506-3', Display='Subsequent Visit Evaluation Note', Scheme='LOINC'},
   ['Summarization of Episode Note']={Code='34133-9', Display='Summarization of Episode Note', Scheme='LOINC'},
   ['Surgical Operation Note']={Code='11504-8', Display='Surgical Operation Note', Scheme='LOINC'},
   ['Targeted History And Physical Note']={Code='34138-8', Display='Targeted History And Physical Note', Scheme='LOINC'},
   ['Transfer of Care Referral Note']={Code='34140-4', Display='Transfer of Care Referral Note', Scheme='LOINC'},
   ['Transfer Summarization Note']={Code='18761-7', Display='Transfer Summarization Note', Scheme='LOINC'},
   ['Critical Care Unit Consultation Note']={Code='34100-8', Display='Critical Care Unit Consultation Note', Scheme='LOINC'},
   ['Critical Care Unit Subsequent Visit Evaluation Note']={Code='34126-3', Display='Critical Care Unit Subsequent Visit Evaluation Note', Scheme='LOINC'},
   ['Emergency Department Evaluation And Management Note']={Code='34111-5', Display='Emergency Department Evaluation And Management Note', Scheme='LOINC'},
   ['Emergency Department Subsequent Visit Evaluation Note']={Code='15507-7', Display='Emergency Department Subsequent Visit Evaluation Note', Scheme='LOINC'},
   ['Home Health Education Procedure Note']={Code='34107-3', Display='Home Health Education Procedure Note', Scheme='LOINC'},
   ['Home Health Initial Evaluation Note']={Code='34118-0', Display='Home Health Initial Evaluation Note', Scheme='LOINC'},
   ['Home Health Subsequent Visit Evaluation Note']={Code='34129-7', Display='Home Health Subsequent Visit Evaluation Note', Scheme='LOINC'},
   ['Hospital Consultation Note']={Code='34104-0', Display='Hospital Consultation Note', Scheme='LOINC'},
   ['Hospital Discharge Summarization Note']={Code='34105-7', Display='Hospital Discharge Summarization Note', Scheme='LOINC'},
   ['Hospital Group Counseling Note']={Code='34114-9', Display='Hospital Group Counseling Note', Scheme='LOINC'},
   ['Hospital History and Physical Note']={Code='11492-6', Display='Hospital History and Physical Note', Scheme='LOINC'},
   ['Hospital Subsequent Visit Evaluation Note']={Code='34130-5', Display='Hospital Subsequent Visit Evaluation Note', Scheme='LOINC'},
   ['Inpatient Evaluation And Management Note']={Code='34112-3', Display='Inpatient Evaluation And Management Note', Scheme='LOINC'},
   ['Nursing Home Conference Evaluation Note']={Code='34097-6', Display='Nursing Home Conference Evaluation Note', Scheme='LOINC'},
   ['Nursing Home Evaluation And Management Note']={Code='34113-1', Display='Nursing Home Evaluation And Management Note', Scheme='LOINC'},
   ['Nursing Home Initial Evaluation Note']={Code='34119-8', Display='Nursing Home Initial Evaluation Note', Scheme='LOINC'},
   ['Outpatient Confirmatory Consultation Note']={Code='24611-6', Display='Outpatient Confirmatory Consultation Note', Scheme='LOINC'},
   ['Outpatient Evaluation And Management']={Code='34108-1', Display='Outpatient Evaluation And Management', Scheme='LOINC'},
   ['Outpatient Initial Evaluation Note']={Code='34120-6', Display='Outpatient Initial Evaluation Note', Scheme='LOINC'},
   ['Outpatient Subsequent Visit Evaluation Note']={Code='34131-3', Display='Outpatient Subsequent Visit Evaluation Note', Scheme='LOINC'},
   ['Outpatient Surgical Operation Note']={Code='34137-0', Display='Outpatient Surgical Operation Note', Scheme='LOINC'},
   ['Anesthesia Hospital Pre-Operative Evaluation And Management Note']={Code='34123-0', Display='Anesthesia Hospital Pre-Operative Evaluation And Management Note', Scheme='LOINC'},
   ['Attending Physician Discharge Summarization Note']={Code='28655-9', Display='Attending Physician Discharge Summarization Note', Scheme='LOINC'},
   ['Attending Physician Initial Evaluation Note']={Code='28654-2', Display='Attending Physician Initial Evaluation Note', Scheme='LOINC'},
   ['Attending Physician Subsequent Visit Evaluation Note']={Code='18733-6', Display='Attending Physician Subsequent Visit Evaluation Note', Scheme='LOINC'},
   ['Attending Physician Outpatient Supervisory Note']={Code='34134-7', Display='Attending Physician Outpatient Supervisory Note', Scheme='LOINC'},
   ['Attending Physician Cardiology Outpatient Supervisory Note']={Code='34135-4', Display='Attending Physician Cardiology Outpatient Supervisory Note', Scheme='LOINC'},
   ['Attending Physician Gastroenterology Outpatient Supervisory Note']={Code='34136-2', Display='Attending Physician Gastroenterology Outpatient Supervisory Note', Scheme='LOINC'},
   ['Cardiology Consultation Note']={Code='34099-2', Display='Cardiology Consultation Note', Scheme='LOINC'},
   ['Cardiology Hospital Admission History And Physical Note']={Code='34094-3', Display='Cardiology Hospital Admission History And Physical Note', Scheme='LOINC'},
   ['Cardiology Outpatient Subsequent Visit Evaluation Note']={Code='34124-8', Display='Cardiology Outpatient Subsequent Visit Evaluation Note', Scheme='LOINC'},
   ['Case Manager Home Health Care Subsequent Visit Evaluation Note']={Code='34125-5', Display='Case Manager Home Health Care Subsequent Visit Evaluation Note', Scheme='LOINC'},
   ['Chiropractor Initial Evaluation Note']={Code='28581-7', Display='Chiropractor Initial Evaluation Note', Scheme='LOINC'},
   ['Chiropractor Subsequent Visit Evaluation Note']={Code='18762-5', Display='Chiropractor Subsequent Visit Evaluation Note', Scheme='LOINC'},
   ['Consulting Physician Initial Evaluation Note']={Code='18763-3', Display='Consulting Physician Initial Evaluation Note', Scheme='LOINC'},
   ['Consulting Physician Subsequent Visit Evaluation Note']={Code='28569-2', Display='Consulting Physician Subsequent Visit Evaluation Note', Scheme='LOINC'},
   ['Dental Hygienist Outpatient Subsequent Visit Evaluation Note']={Code='34127-1', Display='Dental Hygienist Outpatient Subsequent Visit Evaluation Note', Scheme='LOINC'},
   ['Dentistry Discharge Summarization Note']={Code='29761-4', Display='Dentistry Discharge Summarization Note', Scheme='LOINC'},
   ['Dentistry Initial Evaluation Note']={Code='28572-6', Display='Dentistry Initial Evaluation Note', Scheme='LOINC'},
   ['Dentistry Procedure Note']={Code='28577-5', Display='Dentistry Procedure Note', Scheme='LOINC'},
   ['Dentistry Subsequent Visit Evaluation Note']={Code='28617-9', Display='Dentistry Subsequent Visit Evaluation Note', Scheme='LOINC'},
   ['Dentistry Surgical Operation Note']={Code='28583-3', Display='Dentistry Surgical Operation Note', Scheme='LOINC'},
   ['Dentistry Visit Note']={Code='28618-7', Display='Dentistry Visit Note', Scheme='LOINC'},
   ['Dentistry Outpatient Subsequent Visit Evaluation Note']={Code='34128-9', Display='Dentistry Outpatient Subsequent Visit Evaluation Note', Scheme='LOINC'},
   ['Diabetology Outpatient Evaluation And Management Note']={Code='34110-7', Display='Diabetology Outpatient Evaluation And Management Note', Scheme='LOINC'},
   ['Diagnostic Imaging Report']={Code='18748-4', Display='Diagnostic Imaging Report', Scheme='LOINC'},
   ['General Medicine Outpatient Consultation Note']={Code='34101-6', Display='General Medicine Outpatient Consultation Note', Scheme='LOINC'},
   ['Medical Student Hospital History and Physical Note']={Code='34115-6', Display='Medical Student Hospital History and Physical Note', Scheme='LOINC'},
   ['Nurse Practitioner Initial Evaluation Note']={Code='28621-1', Display='Nurse Practitioner Initial Evaluation Note', Scheme='LOINC'},
   ['Nurse Practitioner Subsequent Visit Evaluation Note']={Code='18764-1', Display='Nurse Practitioner Subsequent Visit Evaluation Note', Scheme='LOINC'},
   ['Nursing Discharge Assessment Note']={Code='28622-9', Display='Nursing Discharge Assessment Note', Scheme='LOINC'},
   ['Nursing Initial Evaluation Note']={Code='29753-1', Display='Nursing Initial Evaluation Note', Scheme='LOINC'},
   ['Nursing Subsequent Visit Evaluation Note']={Code='28623-7', Display='Nursing Subsequent Visit Evaluation Note', Scheme='LOINC'},
   ['Nursing Telephone Encounter Note']={Code='34139-6', Display='Nursing Telephone Encounter Note', Scheme='LOINC'},
   ['Nursing Transfer Summarization Note']={Code='28651-8', Display='Nursing Transfer Summarization Note', Scheme='LOINC'},
   ['Occupational Therapy Initial Evaluation Note']={Code='18734-4', Display='Occupational Therapy Initial Evaluation Note', Scheme='LOINC'},
   ['Occupational Therapy Subsequent Visit Evaluation Note']={Code='11507-1', Display='Occupational Therapy Subsequent Visit Evaluation Note', Scheme='LOINC'},
   ['Pathology Pathology Procedure Note']={Code='34122-2', Display='Pathology Pathology Procedure Note', Scheme='LOINC'},
   ['Pharmacy Outpatient Subsequent Visit Evaluation Note']={Code='34132-1', Display='Pharmacy Outpatient Subsequent Visit Evaluation Note', Scheme='LOINC'},
   ['Physical Therapy Initial Evaluation Note']={Code='18735-1', Display='Physical Therapy Initial Evaluation Note', Scheme='LOINC'},
   ['Physical Therapy Subsequent Visit Evaluation Note']={Code='11508-9', Display='Physical Therapy Subsequent Visit Evaluation Note', Scheme='LOINC'},
   ['Physical Therapy Visit Note']={Code='28579-1', Display='Physical Therapy Visit Note', Scheme='LOINC'},
   ['Physician Discharge Summarization Note']={Code='11490-0', Display='Physician Discharge Summarization Note', Scheme='LOINC'},
   ['Physician History and Physical Note']={Code='28626-0', Display='Physician History and Physical Note', Scheme='LOINC'},
   ['Physician Initial Evaluation Note']={Code='18736-9', Display='Physician Initial Evaluation Note', Scheme='LOINC'},
   ['Physician Procedure Note']={Code='11505-5', Display='Physician Procedure Note', Scheme='LOINC'},
   ['Physician Surgical Operation Note']={Code='28573-4', Display='Physician Surgical Operation Note', Scheme='LOINC'},
   ['Physician Transfer Summarization Note']={Code='28616-1', Display='Physician Transfer Summarization Note', Scheme='LOINC'},
   ['Physician Emergency Department Visit Note']={Code='28568-4', Display='Physician Emergency Department Visit Note', Scheme='LOINC'},
   ['Physician Hospital Discharge Summarization Note']={Code='34106-5', Display='Physician Hospital Discharge Summarization Note', Scheme='LOINC'},
   ['Physician Nursing Home History and Physical Note']={Code='34116-4', Display='Physician Nursing Home History and Physical Note', Scheme='LOINC'},
   ['Podiatry Initial Evaluation Note']={Code='18737-7', Display='Podiatry Initial Evaluation Note', Scheme='LOINC'},
   ['Podiatry Procedure Note']={Code='28625-2', Display='Podiatry Procedure Note', Scheme='LOINC'},
   ['Podiatry Subsequent Visit Evaluation Note']={Code='11509-7', Display='Podiatry Subsequent Visit Evaluation Note', Scheme='LOINC'},
   ['Podiatry Surgical Operation Note']={Code='28624-5', Display='Podiatry Surgical Operation Note', Scheme='LOINC'},
   ['Psychiatry Initial Evaluation Note']={Code='28635-1', Display='Psychiatry Initial Evaluation Note', Scheme='LOINC'},
   ['Psychiatry Subsequent Visit Evaluation Note']={Code='28627-8', Display='Psychiatry Subsequent Visit Evaluation Note', Scheme='LOINC'},
   ['Psychiatry Hospital Consultation Note']={Code='34102-4', Display='Psychiatry Hospital Consultation Note', Scheme='LOINC'},
   ['Psychology Initial Evaluation Note']={Code='18738-5', Display='Psychology Initial Evaluation Note', Scheme='LOINC'},
   ['Psychology Subsequent Visit Evaluation Note']={Code='11510-5', Display='Psychology Subsequent Visit Evaluation Note', Scheme='LOINC'},
   ['Pulmonary Consultation Note']={Code='34103-2', Display='Pulmonary Consultation Note', Scheme='LOINC'},
   ['Social Service Initial Evaluation Note']={Code='18739-3', Display='Social Service Initial Evaluation Note', Scheme='LOINC'},
   ['Social Service Subsequent Visit Evaluation Note']={Code='28656-7', Display='Social Service Subsequent Visit Evaluation Note', Scheme='LOINC'},
   ['Social Service Visit Note']={Code='28653-4', Display='Social Service Visit Note', Scheme='LOINC'},
   ['Speech Therapy Initial Evaluation Note']={Code='18740-1', Display='Speech Therapy Initial Evaluation Note', Scheme='LOINC'},
   ['Speech Therapy Subsequent Visit Evaluation Note']={Code='11512-1', Display='Speech Therapy Subsequent Visit Evaluation Note', Scheme='LOINC'},
   ['Laboratory Report']={Code='Laboratory Report', Display='Laboratory Report', Scheme='Connect-a-thon TypeCode'}
}

local Types = {
   ContentType={Scheme='urn:uuid:aa543740-bdda-424e-8c96-df4873be8500', Codes=ContentTypeCodes},
   Class={Scheme='urn:uuid:41a5887f-8865-4c09-adf7-e362475b143a', Codes=ClassCodes},
   Confidentiality={Scheme='urn:uuid:f4f85eac-e6cb-4883-b524-f2705394840f', Codes=ConfidentialityCodes},
   Format={Scheme='urn:uuid:a09d5840-386c-46f2-b5ad-9c3699a4309d', Codes=FormatCodes},
   HealthcareFacilityType={Scheme='urn:uuid:f33fb8ac-18af-42cc-ae0e-ed0b0bdb91e1', Codes=HealthcareFacilityTypeCodes},
   PracticeSetting={Scheme='urn:uuid:cccf5598-8b07-4b77-a05e-ae952c785ead', Codes=PracticeSettingCodes},
   Type={Scheme='urn:uuid:f0306f51-975f-434e-a61c-c59651d33983', Codes=TypeCodes}
}

-- xds_b_codes interface

function xds_b.codeset.getCodeType(CodeTypeName)
   return Types[CodeTypeName]
end
